#
# spec file for package patterns-OpenStack
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# see https://releases.openstack.org/rocky/index.html
%define cinder_version 13.0.0
%define glance_version 17.0.0
%define heat_version 11.0.0
%define keystone_version 14.0.0
%define neutron_version 13.0.0
%define nova_version 18.0.0
%define horizon_version 14.0.0

Name:           patterns-OpenStack
Version:        2018.2
Release:        1.1
Summary:        Patterns for OpenStack
License:        GPL-2.0-or-later
Group:          Metapackages
Url:            http://openstack.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is an internal package that is used to create the patterns

%package controller
Provides:       pattern() = cloud_controller
Provides:       pattern-order() = 3500
Provides:       pattern-visible()
Summary:        Meta package for pattern OpenStack Controller
Group:          Metapackages
Requires:       openstack-cinder-api >= %{cinder_version}
Requires:       openstack-cinder-backup >= %{cinder_version}
Requires:       openstack-cinder-scheduler >= %{cinder_version}
Requires:       openstack-cinder-volume >= %{cinder_version}
Requires:       openstack-glance-api >= %{glance_version}
Requires:       openstack-glance-registry >= %{glance_version}
Requires:       openstack-heat-api >= %{heat_version}
Requires:       openstack-heat-api-cfn >= %{heat_version}
Requires:       openstack-heat-engine >= %{heat_version}
Requires:       openstack-keystone >= %{keystone_version}
Requires:       openstack-neutron-server >= %{neutron_version}
Requires:       openstack-nova-api >= %{nova_version}
Requires:       openstack-nova-placement-api >= %{nova_version}
Requires:       openstack-nova-scheduler >= %{nova_version}
Requires:       postgresql-server
Requires:       python-psycopg2
Requires:       rabbitmq-server
Requires:       tgt
Recommends:     openstack-dashboard >= %{horizon_version}
Recommends:     openstack-nova-novncproxy >= %{nova_version}
Recommends:     openstack-nova-consoleauth >= %{nova_version}
Recommends:     patterns-OpenStack-clients = %version
Recommends:     memcached
Recommends:     python-python-memcached

%description controller
Meta package for pattern OpenStack Compute Node on kvm

%package storage-node
Summary:        Meta package for pattern OpenStack Storage
Group:          Metapackages
Provides:       pattern() = cloud_storage
Provides:       pattern-order() = 3500
Provides:       pattern-visible()
Requires:       lvm2
Requires:       ntp
Requires:       open-iscsi
Requires:       tgt

%description storage-node
Meta package for pattern OpenStack Storage Node

%package clients
Summary:        Meta package for pattern OpenStack Clients
Group:          Metapackages
Provides:       pattern() = cloud_clients
Provides:       pattern-order() = 3500
Provides:       pattern-visible()
Requires:       python-cinderclient
Requires:       python-glanceclient
Requires:       python-heatclient
Requires:       python-keystoneclient
Requires:       python-neutronclient
Requires:       python-novaclient
Requires:       python-openstackclient
Requires:       python-swiftclient

%description clients
Meta package for pattern OpenStack Controller
This contains the software for the Cloud' core

%package compute-node
Summary:        Meta package for pattern OpenStack Compute Node
Group:          Metapackages
Provides:       pattern() = cloud_compute
Provides:       pattern-order() = 3520
Provides:       pattern-visible()
%if %{suse_version} >= 1310
Requires:       qemu
%else
Requires:       kvm
%endif
Requires:       libvirt
Requires:       ntp
Requires:       open-iscsi
Requires:       openstack-neutron-agent >= %{neutron_version}
Requires:       openstack-nova-compute >= %{nova_version}
Recommends:     openstack-neutron-linuxbridge-agent >= %{neutron_version}

%description compute-node
Meta package for pattern OpenStack Compute Node on kvm

%package network-node
Summary:        Meta package for pattern OpenStack Network Node
Group:          Metapackages
Provides:       pattern() = cloud_network
Provides:       pattern-order() = 3510
Provides:       pattern-visible()
Requires:       openstack-neutron-dhcp-agent >= %{neutron_version}
Requires:       openstack-neutron-l3-agent >= %{neutron_version}
Requires:       openstack-neutron-metadata-agent >= %{neutron_version}
Recommends:     openstack-neutron-lbaas-agent >= %{neutron_version}

%description network-node
Meta package for pattern OpenStack Network Node on kvm


%prep

%build

%install
export RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_datadir}/doc/packages/patterns-OpenStack/

# rpms must have at least one file, so we create one:
for p in controller compute-node clients network-node storage-node ; do
  echo "This file marks the pattern $p to be installed." > %{buildroot}%{_datadir}/doc/packages/patterns-OpenStack/$p.txt
done

%files clients
%defattr(-,root,root)
%dir %{_datadir}/doc/packages/patterns-OpenStack
%{_datadir}/doc/packages/patterns-OpenStack/clients.txt

%files controller
%defattr(-,root,root)
%dir %{_datadir}/doc/packages/patterns-OpenStack
%{_datadir}/doc/packages/patterns-OpenStack/controller.txt

%files compute-node
%defattr(-,root,root)
%dir %{_datadir}/doc/packages/patterns-OpenStack
%{_datadir}/doc/packages/patterns-OpenStack/compute-node.txt

%files network-node
%defattr(-,root,root)
%dir %{_datadir}/doc/packages/patterns-OpenStack
%{_datadir}/doc/packages/patterns-OpenStack/network-node.txt

%files storage-node
%defattr(-,root,root)
%dir %{_datadir}/doc/packages/patterns-OpenStack
%{_datadir}/doc/packages/patterns-OpenStack/storage-node.txt

%changelog
* Fri Dec 14 2018 tbechtold@suse.com
- Bump version to 2018.2 (Rocky)
* Fri Mar  2 2018 tbechtold@suse.com
- Bump version to 2018.1
* Fri Aug 25 2017 tbechtold@suse.com
- Provide pattern
* Fri Aug 25 2017 tbechtold@suse.com
- Bump version to 2017.2
* Mon Mar 27 2017 johannes.grassler@suse.com
- Removed openstack-glance-glare Require: this sub package has
  been removed from openstack-glance.
* Fri Nov 18 2016 tbechtold@suse.com
- Bump version to 2017.1
* Fri Nov 18 2016 tbechtold@suse.com
- Add openstack-glance-api, openstack-glance-registry and
  openstack-glance-glare instead of just openstack-glance.
  Theses are now subpackages.
* Tue Sep 27 2016 tbechtold@suse.com
- update minimal version for Newton cycle
* Tue Sep 27 2016 tbechtold@suse.com
- bump version to 2016.2
* Wed Mar 16 2016 tbechtold@suse.com
- bump version to 2016.1
- update minimal versions for Miataka cycle
- remove openstack-nova-objectstore from Recommends
* Tue May  5 2015 dmueller@suse.com
- add libvirt installation to compute node
* Tue Apr 28 2015 dmueller@suse.com
- bump version to 2015.2
* Thu Sep 11 2014 dmueller@suse.com
- remove seed-node pattern, not used anymore
* Fri Jun 27 2014 dmueller@suse.com
- add python-openstackclient
* Tue Jun 17 2014 dmueller@suse.com
- also install nova-cert  and nova-consoleauth
* Thu Apr  3 2014 dmueller@suse.com
- bump version to 2014.2
* Tue Jan 21 2014 dmueller@suse.com
- add neutron-metadata-agent / openstack-neutron-lbaas-agent
* Fri Jan 17 2014 speilicke@suse.com
  Recommends openstack-nova-objectstore / don't recommend
  openstack-nova-vncproxy
* Mon Oct 21 2013 dmueller@suse.com
- change requires to qemu for newer openSUSE
* Thu Oct 10 2013 dmueller@suse.com
- add tftp and dnsmasq to tripleo-seed-node pattern
* Thu Oct 10 2013 rhafer@suse.com
- Add missing openstack-nova-compute to tripleo-seed-node pattern
* Tue Oct  8 2013 dmueller@suse.com
- add tripleo-seed-node pattern
- Fix version + requires
* Mon Sep 30 2013 dmueller@suse.com
- install tgt, not iscsitarget
* Fri Jul  5 2013 dmueller@suse.com
- quantum -> neutron
* Fri Mar  8 2013 vuntz@suse.com
- Change openstack-{no,}vncproxy Suggests to
  openstack-nova-{no,}vncproxy, which are the new names.
* Fri Mar  8 2013 vuntz@suse.com
- Add Recommends to controller subpackage: openstack-dashboard,
  openstack-novncproxy, openstack-vncproxy, rabbitmq-server,
  memcached, python-python-memcached. People will expect these to
  be installed to have things just work.
- Add python-cinderclient Requires to clients subpackage.
* Thu Feb 14 2013 dmueller@suse.com
- Update version number
- Add patterns for clients, network-node and storage-nodes
* Tue Feb 12 2013 dmueller@suse.com
- also install openstack-quantum
* Wed Jan 23 2013 saschpe@suse.de
- Use PostgreSQL-9.1 directly instead of relying on the default (
  which is 8.3.X on SLE_11_SP2 currently)
* Fri Jan 11 2013 bwiedemann@suse.com
- Add back nova-scheduler
* Thu Jan 10 2013 saschpe@suse.de
- Use cinder instead of nova-volume
* Thu Jan 10 2013 saschpe@suse.de
- Require PostgreSQL instead of MySQL, which is the recommended
  default for (not only) openstack-quickstart
* Wed Nov 14 2012 saschpe@suse.de
- Set license to SPDX style
* Thu Sep 20 2012 bwiedemann@suse.com
- add glanceclient
* Thu Jan  5 2012 prusnak@opensuse.org
- spec cleanup
* Tue Dec 20 2011 bwiedemann@suse.com
- initial pattern
